from donnees import creation_grille
#from outils_console import *
from outils_pygame import *
from gestion_score import charge, enregistre
from random import randint

# récupération du high score
nom, best_score = charge()
message("Best : " + nom + " - " + str(best_score) + " pts")

# début de la partie interactive
nom = saisie_nom()
grille_ordi = creation_grille()

# Création grille
#grille_joueur = place_bateaux()
grille_joueur = creation_grille()

# initialisation

data = {'ordi' : {'grille' : grille_ordi,
                  'score' : 0,
                  'coup' : 20,
                  'combo' : -1,
                  'nom' : 'R2D2'},
        'joueur' : {'grille' : grille_joueur,
                  'score' : 0,
                  'coup' : 20,
                  'combo' : -1,
                  'nom' : nom}}
        
        



def verif_coule(grille, code_bateau):
    for ligne in range(10):
        for colonne in range(10):
            if grille[ligne][colonne] == code_bateau:
                return False
    return True

def met_a_jour(grille, cible):
    for ligne in range(10):
        for colonne in range(10):
            if grille[ligne][colonne] == cible:
                grille[ligne][colonne] += 10

def un_coup(tour):
    grille = data[tour]['grille']
    combo = data[tour]['combo']
    coup = data[tour]['coup']
    score = data[tour]['score']
    
    affichage(decalage, grille)
    if tour == 'joueur':
        x, y = saisie_coup(grille)
    else : # aléatoire si ordi pour l'instant
        x, y = randint(0, 9), randint(0, 9) # AI de ouf
    code_bateau = grille[y][x]
    if 1 < grille[y][x] < 7:
        combo += 1
        score += (8 - code_bateau) + combo * 2
        message("Touché !")
        grille[y][x] += 10
        if verif_coule(grille, code_bateau):
            message("Bravo K'p'tain " + nom + ", coulé !")
            met_a_jour(grille, code_bateau + 10)
    elif grille[y][x] == 0: # correction de bug
        combo = -1
        coup -= 1
        message("Nan ! Reste " + str(coup) + " coup(s) !")
        grille[y][x] += 10
    affiche_score(decalage, score)
    return grille, combo, coup, score

# le jeu
tour = 'joueur' # qui commence
decalage = 0 # ou 440 pour l'ordi

while data['joueur']['coup'] > 0 or data['ordi']['coup'] > 0:
    if data[tour]['coup'] > 0:
        data[tour]['grille'], data[tour]['combo'], data[tour]['coup'], data[tour]['score'] = un_coup(tour)
    if tour == 'joueur':
        tour = 'ordi'
        decalage = 440
    else :
        tour = 'joueur'
        decalage = 0


score = data['joueur']['score'] - data['ordi']['score']

if score > best_score :
    message("New High Score")
    message("K'p'tain " + nom)
    message(str(score) + " points")
    enregistre(nom, score)

fin()
